/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2008.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: include/platform/wintel32/hwplatformwintel32.hpp

*/

#ifndef SGXDRV_WINTEL32_PLATFORM_HPP
#define SGXDRV_WINTEL32_PLATFORM_HPP

class CHardwarePlatformWinTel32 : public CHardwarePlatform {
public:
    virtual const char *getPlatform();
    virtual const char *getPlatformID();
    virtual const char *getDocsURL();
    virtual const char *getDevelopmentURL();
    virtual tREAL32     getDiscAccessSpeed();
    virtual tREAL32     getDiscReadSpeed();
    virtual tEndian     getEndian();
    virtual tUINT32     getNumCPUs();
    virtual tUINT32     getCPUSpeed(tUINT32 type=0);
    virtual tUINT32     getNumMemoryBanks();
    virtual tUINT32     getMemorySize(tUINT32 type=0);

    static CHardwarePlatform   *create();
};

#endif /* SGXDRV_WINTEL32_PLATFORM_HPP */
